org.codehaus.plexus

## Interface ContainerConfiguration

All Known Implementing Classes:
  DefaultContainerConfiguration

    public interface ContainerConfiguration

Author:
  Jason van Zyl

### Method Summary

All Methods Instance Methods Abstract Methods
`ContainerConfiguration` `addComponentDiscoverer(java.lang.Class<?> componentDiscoverer)`
`ContainerConfiguration` `addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)`
`ContainerConfiguration` `addComponentDiscoveryListener(java.lang.Class<?> componentDiscoveryListener)`
`ContainerConfiguration` `addComponentDiscoveryListener(ComponentDiscoveryListener componentDiscoveryListener)`
`ContainerConfiguration` `addLifecycleHandler(LifecycleHandler lifecycleHandler)`
`org.codehaus.plexus.classworlds.ClassWorld` `getClassWorld()`
`ComponentDiscovererManager` `getComponentDiscovererManager()`
`java.util.List<java.lang.Class>` `getComponentDiscoverers()`
`java.util.List<java.lang.Class>` `getComponentDiscoveryListeners()`
`ComponentFactoryManager` `getComponentFactoryManager()`
`ComponentRepository` `getComponentRepository()`
`ConfigurationSource` `getConfigurationSource()`
`java.lang.String` `getContainerConfiguration()`
`java.net.URL` `getContainerConfigurationURL()`
`java.util.Map<java.lang.Object,java.lang.Object>` `getContext()`
`ContainerInitializationPhase[]` `getInitializationPhases()`
`LifecycleHandlerManager` `getLifecycleHandlerManager()`
`java.lang.String` `getName()`
`org.codehaus.plexus.classworlds.realm.ClassRealm` `getRealm()`
`ContainerConfiguration` `setClassWorld(org.codehaus.plexus.classworlds.ClassWorld classWorld)`
`ContainerConfiguration` `setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)`
`ContainerConfiguration` `setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)`
`ContainerConfiguration` `setComponentRepository(ComponentRepository componentRepository)`
`ContainerConfiguration` `setConfigurationSource(ConfigurationSource configurationSource)`
`ContainerConfiguration` `setContainerConfiguration(java.lang.String configuration)`
`ContainerConfiguration` `setContainerConfigurationURL(java.net.URL configuration)`
`ContainerConfiguration` `setContext(java.util.Map<java.lang.Object,java.lang.Object> context)`
`ContainerConfiguration` `setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)`
`ContainerConfiguration` `setName(java.lang.String name)`
`ContainerConfiguration` `setRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm)`

### Method Detail

#### setName

    ContainerConfiguration setName(java.lang.String name)

#### getName

    java.lang.String getName()

#### setContext

    ContainerConfiguration setContext(java.util.Map<java.lang.Object,java.lang.Object> context)

#### getContext

    java.util.Map<java.lang.Object,java.lang.Object> getContext()

#### setClassWorld

    ContainerConfiguration setClassWorld(org.codehaus.plexus.classworlds.ClassWorld classWorld)

#### getClassWorld

    org.codehaus.plexus.classworlds.ClassWorld getClassWorld()

#### setRealm

    ContainerConfiguration setRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm)

#### getRealm

    org.codehaus.plexus.classworlds.realm.ClassRealm getRealm()

#### setContainerConfiguration

    ContainerConfiguration setContainerConfiguration(java.lang.String configuration)

#### getContainerConfiguration

    java.lang.String getContainerConfiguration()

#### setContainerConfigurationURL

    ContainerConfiguration setContainerConfigurationURL(java.net.URL configuration)

#### getContainerConfigurationURL

    java.net.URL getContainerConfigurationURL()

#### getInitializationPhases

    ContainerInitializationPhase[] getInitializationPhases()

#### addComponentDiscoverer

    ContainerConfiguration addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)

#### addComponentDiscoveryListener

    ContainerConfiguration addComponentDiscoveryListener(ComponentDiscoveryListener componentDiscoveryListener)

#### setComponentDiscovererManager

    ContainerConfiguration setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)

#### getComponentDiscovererManager

    ComponentDiscovererManager getComponentDiscovererManager()

#### setComponentFactoryManager

    ContainerConfiguration setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)

#### getComponentFactoryManager

    ComponentFactoryManager getComponentFactoryManager()

#### setComponentRepository

    ContainerConfiguration setComponentRepository(ComponentRepository componentRepository)

#### getComponentRepository

    ComponentRepository getComponentRepository()

#### addLifecycleHandler

    ContainerConfiguration addLifecycleHandler(LifecycleHandler lifecycleHandler)

#### setLifecycleHandlerManager

    ContainerConfiguration setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)

#### getLifecycleHandlerManager

    LifecycleHandlerManager getLifecycleHandlerManager()

#### setConfigurationSource

    ContainerConfiguration setConfigurationSource(ConfigurationSource configurationSource)

#### getConfigurationSource

    ConfigurationSource getConfigurationSource()

#### addComponentDiscoverer

    ContainerConfiguration addComponentDiscoverer(java.lang.Class<?> componentDiscoverer)

#### addComponentDiscoveryListener

    ContainerConfiguration addComponentDiscoveryListener(java.lang.Class<?> componentDiscoveryListener)

#### getComponentDiscoverers

    java.util.List<java.lang.Class> getComponentDiscoverers()

#### getComponentDiscoveryListeners

    java.util.List<java.lang.Class> getComponentDiscoveryListeners()